# Linter Options
options:
  # Don't merge default rules
  merge-default-rules: false
  # Set the formatter to 'html'
  formatter: html
  # Output file instead of logging results
  output-file: 'linters/sass-lint.html'
  # Raise an error if more than 50 warnings are generated
  max-warnings: 50
# File Options
files:
  include: 'app/assets/stylesheets/**/*.s+(a|c)ss'
  ignore:
    - 'vendor/**/*.*'
# Rule Configuration
rules:
  extends-before-mixins: 2
  extends-before-declarations: 2
  mixins-before-declarations:
    - 2
    -
      exclude:
        - breakpoint
        - breakpoint-next
        - breakpoint-min
        - breakpoint-max
        - breakpoint-infix
        - media-breakpoint-up
        - media-breakpoint-down
        - media-breakpoint-between
        - media-breakpoint-only
        - mq
  no-warn: 1
  no-debug: 1
  hex-length:
    - 2
    -
      style: long
  hex-notation:
    - 2
    -
      style: uppercase
  indentation:
    - 4
    -
      size: 4
  property-sort-order:
    - 1
    -
      order: alphabetical
      ignore-custom-properties: false
